/*!
 * @license
 * Copyright 2016 Alfresco Software, Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the 'License');
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an 'AS IS' BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

export class DemoForm {

    static getEasyForm(): any {
        return {
            'id': 1001,
            'name': 'ISSUE_FORM',
            'processDefinitionId': 'ISSUE_APP:1:2504',
            'processDefinitionName': 'ISSUE_APP',
            'processDefinitionKey': 'ISSUE_APP',
            'taskId': '2510',
            'taskDefinitionKey': 'sid-F67A2996-1684-4774-855A-4591490081FD',
            'tabs': [],
            'fields': [
                {
                    'fieldType': 'ContainerRepresentation',
                    'id': '1498212398417',
                    'name': 'Label',
                    'type': 'container',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': false,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': null,
                    'className': null,
                    'dateDisplayFormat': null,
                    'sizeX': 2,
                    'sizeY': 1,
                    'row': -1,
                    'col': -1,
                    'numberOfColumns': 2,
                    'fields': {
                        '1': [
                            {
                                'fieldType': 'RestFieldRepresentation',
                                'id': 'label',
                                'name': 'Label',
                                'type': 'dropdown',
                                'value': 'Choose one...',
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': true,
                                'options': [
                                    {
                                        'id': 'empty',
                                        'name': 'Choose one...'
                                    },
                                    {
                                        'id': 'option_1',
                                        'name': 'test1'
                                    },
                                    {
                                        'id': 'option_2',
                                        'name': 'test2'
                                    },
                                    {
                                        'id': 'option_3',
                                        'name': 'test3'
                                    }
                                ],
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': null,
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'endpoint': null,
                                'requestHeaders': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'Date',
                                'name': 'Date',
                                'type': 'date',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label5',
                                'name': 'Label5',
                                'type': 'boolean',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label6',
                                'name': 'Label6',
                                'type': 'boolean',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label4',
                                'name': 'Label4',
                                'type': 'integer',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'RestFieldRepresentation',
                                'id': 'label12',
                                'name': 'Label12',
                                'type': 'radio-buttons',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPatt§12212ern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': [
                                    {
                                        'id': 'option_1',
                                        'name': 'Option 1'
                                    },
                                    {
                                        'id': 'option_2',
                                        'name': 'Option 2'
                                    }
                                ],
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'endpoint': null,
                                'requestHeaders': null
                            }
                        ]
                    }
                }
            ],
            'outcomes': [],
            'javascriptEvents': [],
            'className': '',
            'style': '',
            'customFieldTemplates': {},
            'metadata': {},
            'variables': [],
            'customFieldsValueInfo': {},
            'gridsterForm': false,
            'globalDateFormat': 'D-M-YYYY'
        };
    }

    static getDefinition(): any {
        return {
            'id': 3003,
            'name': 'demo-01',
            'taskId': '7501',
            'taskName': 'Demo Form 01',
            'tabs': [
                {
                    'id': 'tab1',
                    'title': 'Text',
                    'visibilityCondition': null
                },
                {
                    'id': 'tab2',
                    'title': 'Misc',
                    'visibilityCondition': null
                }
            ],
            'fields': [
                {
                    'fieldType': 'ContainerRepresentation',
                    'id': '1488274019966',
                    'name': 'Label',
                    'type': 'container',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': null,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': null,
                    'className': null,
                    'dateDisplayFormat': null,
                    'layout': null,
                    'sizeX': 2,
                    'sizeY': 1,
                    'row': -1,
                    'col': -1,
                    'visibilityCondition': null,
                    'numberOfColumns': 2,
                    'fields': {
                        '1': [],
                        '2': []
                    }
                },
                {
                    'fieldType': 'ContainerRepresentation',
                    'id': 'section4',
                    'name': 'Section 4',
                    'type': 'group',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': null,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': 'tab2',
                    'className': null,
                    'dateDisplayFormat': null,
                    'layout': {
                        'row': -1,
                        'column': -1,
                        'colspan': 2
                    },
                    'sizeX': 2,
                    'sizeY': 1,
                    'row': -1,
                    'col': -1,
                    'visibilityCondition': null,
                    'numberOfColumns': 2,
                    'fields': {
                        '1': [
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label8',
                                'name': 'Label8',
                                'type': 'people',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label13',
                                'name': 'Label13',
                                'type': 'functional-group',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label18',
                                'name': 'Label18',
                                'type': 'readonly',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label19',
                                'name': 'Label19',
                                'type': 'readonly-text',
                                'value': 'Display text as part of the form',
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            }
                        ],
                        '2': [
                            {
                                'fieldType': 'HyperlinkRepresentation',
                                'id': 'label15',
                                'name': 'Label15',
                                'type': 'hyperlink',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'hyperlinkUrl': 'www.google.com',
                                'displayText': null
                            },
                            {
                                'fieldType': 'AttachFileFieldRepresentation',
                                'id': 'label16',
                                'name': 'Label16',
                                'type': 'upload',
                                'value': [],
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1,
                                    'fileSource': {
                                        'serviceId': 'all-file-sources',
                                        'name': 'All file sources'
                                    }
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'metaDataColumnDefinitions': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label17',
                                'name': 'Label17',
                                'type': 'select-folder',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab2',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1,
                                    'folderSource': {
                                        'serviceId': 'alfresco-1',
                                        'name': 'Alfresco 5.2 Local',
                                        'metaDataAllowed': true
                                    }
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            }
                        ]
                    }
                },
                {
                    'fieldType': 'DynamicTableRepresentation',
                    'id': 'label14',
                    'name': 'Label14',
                    'type': 'dynamic-table',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': null,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': 'tab2',
                    'className': null,
                    'params': {
                        'existingColspan': 1,
                        'maxColspan': 1
                    },
                    'dateDisplayFormat': null,
                    'layout': {
                        'row': -1,
                        'column': -1,
                        'colspan': 2
                    },
                    'sizeX': 2,
                    'sizeY': 2,
                    'row': -1,
                    'col': -1,
                    'visibilityCondition': null,
                    'columnDefinitions': [
                        {
                            'id': 'id',
                            'name': 'id',
                            'type': 'String',
                            'value': null,
                            'optionType': null,
                            'options': null,
                            'restResponsePath': null,
                            'restUrl': null,
                            'restIdProperty': null,
                            'restLabelProperty': null,
                            'amountCurrency': null,
                            'amountEnableFractions': false,
                            'required': true,
                            'editable': true,
                            'sortable': true,
                            'visible': true,
                            'endpoint': null,
                            'requestHeaders': null
                        },
                        {
                            'id': 'name',
                            'name': 'name',
                            'type': 'String',
                            'value': null,
                            'optionType': null,
                            'options': null,
                            'restResponsePath': null,
                            'restUrl': null,
                            'restIdProperty': null,
                            'restLabelProperty': null,
                            'amountCurrency': null,
                            'amountEnableFractions': false,
                            'required': true,
                            'editable': true,
                            'sortable': true,
                            'visible': true,
                            'endpoint': null,
                            'requestHeaders': null
                        }
                    ]
                },
                {
                    'fieldType': 'ContainerRepresentation',
                    'id': 'section1',
                    'name': 'Section 1',
                    'type': 'group',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': null,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': 'tab1',
                    'className': null,
                    'dateDisplayFormat': null,
                    'layout': {
                        'row': -1,
                        'column': -1,
                        'colspan': 2
                    },
                    'sizeX': 2,
                    'sizeY': 1,
                    'row': -1,
                    'col': -1,
                    'visibilityCondition': null,
                    'numberOfColumns': 2,
                    'fields': {
                        '1': [
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label1',
                                'name': 'Label1',
                                'type': 'text',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label3',
                                'name': 'Label3',
                                'type': 'text',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            }
                        ],
                        '2': [
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label2',
                                'name': 'Label2',
                                'type': 'multi-line-text',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 2,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            }
                        ]
                    }
                },
                {
                    'fieldType': 'ContainerRepresentation',
                    'id': 'section2',
                    'name': 'Section 2',
                    'type': 'group',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': null,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': 'tab1',
                    'className': null,
                    'dateDisplayFormat': null,
                    'layout': {
                        'row': -1,
                        'column': -1,
                        'colspan': 2
                    },
                    'sizeX': 2,
                    'sizeY': 1,
                    'row': -1,
                    'col': -1,
                    'visibilityCondition': null,
                    'numberOfColumns': 2,
                    'fields': {
                        '1': [
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label4',
                                'name': 'Label4',
                                'type': 'integer',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label7',
                                'name': 'Label7',
                                'type': 'date',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            }
                        ],
                        '2': [
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label5',
                                'name': 'Label5',
                                'type': 'boolean',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'FormFieldRepresentation',
                                'id': 'label6',
                                'name': 'Label6',
                                'type': 'boolean',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null
                            },
                            {
                                'fieldType': 'AmountFieldRepresentation',
                                'id': 'label11',
                                'name': 'Label11',
                                'type': 'amount',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'enableFractions': false,
                                'currency': null
                            }
                        ]
                    }
                },
                {
                    'fieldType': 'ContainerRepresentation',
                    'id': 'section3',
                    'name': 'Section 3',
                    'type': 'group',
                    'value': null,
                    'required': false,
                    'readOnly': false,
                    'overrideId': false,
                    'colspan': 1,
                    'placeholder': null,
                    'minLength': 0,
                    'maxLength': 0,
                    'minValue': null,
                    'maxValue': null,
                    'regexPattern': null,
                    'optionType': null,
                    'hasEmptyValue': null,
                    'options': null,
                    'restUrl': null,
                    'restResponsePath': null,
                    'restIdProperty': null,
                    'restLabelProperty': null,
                    'tab': 'tab1',
                    'className': null,
                    'dateDisplayFormat': null,
                    'layout': {
                        'row': -1,
                        'column': -1,
                        'colspan': 2
                    },
                    'sizeX': 2,
                    'sizeY': 1,
                    'row': -1,
                    'col': -1,
                    'visibilityCondition': null,
                    'numberOfColumns': 2,
                    'fields': {
                        '1': [
                            {
                                'fieldType': 'RestFieldRepresentation',
                                'id': 'label9',
                                'name': 'Label9',
                                'type': 'dropdown',
                                'value': 'Choose one...',
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': true,
                                'options': [
                                    {
                                        'id': 'empty',
                                        'name': 'Choose one...'
                                    }
                                ],
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'endpoint': null,
                                'requestHeaders': null
                            },
                            {
                                'fieldType': 'RestFieldRepresentation',
                                'id': 'label12',
                                'name': 'Label12',
                                'type': 'radio-buttons',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': [
                                    {
                                        'id': 'option_1',
                                        'name': 'Option 1'
                                    },
                                    {
                                        'id': 'option_2',
                                        'name': 'Option 2'
                                    }
                                ],
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 2
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'endpoint': null,
                                'requestHeaders': null
                            }
                        ],
                        '2': [
                            {
                                'fieldType': 'RestFieldRepresentation',
                                'id': 'label10',
                                'name': 'Label10',
                                'type': 'typeahead',
                                'value': null,
                                'required': false,
                                'readOnly': false,
                                'overrideId': false,
                                'colspan': 1,
                                'placeholder': null,
                                'minLength': 0,
                                'maxLength': 0,
                                'minValue': null,
                                'maxValue': null,
                                'regexPattern': null,
                                'optionType': null,
                                'hasEmptyValue': null,
                                'options': null,
                                'restUrl': null,
                                'restResponsePath': null,
                                'restIdProperty': null,
                                'restLabelProperty': null,
                                'tab': 'tab1',
                                'className': null,
                                'params': {
                                    'existingColspan': 1,
                                    'maxColspan': 1
                                },
                                'dateDisplayFormat': null,
                                'layout': {
                                    'row': -1,
                                    'column': -1,
                                    'colspan': 1
                                },
                                'sizeX': 1,
                                'sizeY': 1,
                                'row': -1,
                                'col': -1,
                                'visibilityCondition': null,
                                'endpoint': null,
                                'requestHeaders': null
                            }
                        ]
                    }
                }
            ],
            'outcomes': [],
            'javascriptEvents': [],
            'className': '',
            'style': '',
            'customFieldTemplates': {},
            'metadata': {},
            'variables': [],
            'gridsterForm': false,
            'globalDateFormat': 'D-M-YYYY'
        };
    }

}
