/*!
 * @license
 * Copyright 2016 Alfresco Software, Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { RaphaelIconServiceDirective } from './raphael-icon-service.component';
import { RaphaelIconSendDirective } from './raphael-icon-send.component';
import { RaphaelIconUserDirective } from './raphael-icon-user.component';
import { RaphaelIconManualDirective } from './raphael-icon-manual.component';
import { RaphaelIconCamelDirective } from './raphael-icon-camel.component';
import { RaphaelIconMuleDirective } from './raphael-icon-mule.component';
import { RaphaelIconAlfrescoPublishDirective } from './raphael-icon-alfresco-publish.component';
import { RaphaelIconRestCallDirective } from './raphael-icon-rest-call.component';
import { RaphaelIconGoogleDrivePublishDirective } from './raphael-icon-google-drive-publish.component';
import { RaphaelIconBoxPublishDirective } from './raphael-icon-box-publish.component';
import { RaphaelIconReceiveDirective } from './raphael-icon-receive.component';
import { RaphaelIconScriptDirective } from './raphael-icon-script.component';
import { RaphaelIconBusinessRuleDirective } from './raphael-icon-business-rule.component';
import { RaphaelIconTimerDirective } from './raphael-icon-timer.component';
import { RaphaelIconErrorDirective } from './raphael-icon-error.component';
import { RaphaelIconSignalDirective } from './raphael-icon-signal.component';
import { RaphaelIconMessageDirective } from './raphael-icon-message.component';

// primitives
export * from './raphael-icon-service.component';
export * from './raphael-icon-send.component';
export * from './raphael-icon-user.component';
export * from './raphael-icon-manual.component';
export * from './raphael-icon-camel.component';
export * from './raphael-icon-mule.component';
export * from './raphael-icon-alfresco-publish.component';
export * from './raphael-icon-rest-call.component';
export * from './raphael-icon-google-drive-publish.component';
export * from './raphael-icon-box-publish.component';
export * from './raphael-icon-receive.component';
export * from './raphael-icon-script.component';
export * from './raphael-icon-business-rule.component';
export * from './raphael-icon-timer.component';
export * from './raphael-icon-error.component';
export * from './raphael-icon-signal.component';
export * from './raphael-icon-message.component';

export const RAPHAEL_ICONS_DIRECTIVES: any[] = [
    RaphaelIconServiceDirective,
    RaphaelIconSendDirective,
    RaphaelIconUserDirective,
    RaphaelIconManualDirective,
    RaphaelIconCamelDirective,
    RaphaelIconMuleDirective,
    RaphaelIconAlfrescoPublishDirective,
    RaphaelIconRestCallDirective,
    RaphaelIconGoogleDrivePublishDirective,
    RaphaelIconBoxPublishDirective,
    RaphaelIconReceiveDirective,
    RaphaelIconScriptDirective,
    RaphaelIconBusinessRuleDirective,
    RaphaelIconTimerDirective,
    RaphaelIconErrorDirective,
    RaphaelIconSignalDirective,
    RaphaelIconMessageDirective
];
